apiVersion: v1
kind: Service
metadata:
  name: promiscuity-auth
  labels:
    app: promiscuity-auth
spec:
  selector:
    app: promiscuity-auth
  type: NodePort
  ports:
    - name: http
      port: 80          # cluster port
      targetPort: 5000  # container port
      nodePort: 30080   # same external port you've been using
